GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
_GtkDataboxRulerPrivate Struct Reference

## Data Fields

GdkPixmap * | backing_pixmap
gint | xsrc
gint | ysrc
gdouble | lower
gdouble | upper
gdouble | position
gboolean | draw_position
guint | max_length
GtkDataboxScaleType | scale_type
GtkOrientation | orientation
GtkOrientation | text_orientation
PangoAlignment | text_alignment
gint | text_hoffset
gint | max_x_text_height
gint | max_y_text_width
gboolean | draw_ticks
gboolean | draw_subticks
gboolean | invert_edge
gchar | linear_format [FORMAT_LENGTH]
gchar | log_format [FORMAT_LENGTH]
gfloat * | manual_ticks
guint | manual_tick_cnt
gchar ** | manual_tick_labels
GtkShadowType | box_shadow

## Field Documentation

GdkPixmap* backing_pixmap

GtkShadowType box_shadow

gboolean draw_position

gboolean draw_subticks

gboolean draw_ticks

gboolean invert_edge

gchar linear_format[FORMAT_LENGTH]

gchar log_format[FORMAT_LENGTH]

gdouble lower

guint manual_tick_cnt

gchar** manual_tick_labels

gfloat* manual_ticks

guint max_length

gint max_x_text_height

gint max_y_text_width

GtkOrientation orientation

gdouble position

GtkDataboxScaleType scale_type

PangoAlignment text_alignment

gint text_hoffset

GtkOrientation text_orientation

gdouble upper

gint xsrc

gint ysrc

The documentation for this struct was generated from the following file:

- gtk/gtkdatabox_ruler.c

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines